kallisti(6)

NAME
kallisti - the golden apple of discord.

SYNOPSIS
kallisti [--display host:display.screen] [--visual visual] [--window] [--root] [--delay number] [--speed number] [--wander] [--spin 0] [--spin [XYZ]] [--spin Z] [--spin XY] [--spin XZ] [--spin YZ] [--spin XYZ] [--fps]

DESCRIPTION
The golden apple of discord. Greek goddess Eris was not invited to a wedding; her retort was to toss in a golden apple, inscribed: "to the fairest". Hera, Athena and Aphrodite squabbled over it; Zeus noped out, telling Paris of Troy to decide. They all cheated, but Aphrodite won by letting Paris abduct and marry Helen of Sparta. The Greeks objected to this, leading to the Trojan War. Do you want to launch a thousand ships? Because this is how you launch a thousand ships.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds).

--speed number
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

--wander | --no-wander
    Whether the object should wander around the screen.

--spin 0
    Don't rotate.

--spin [XYZ]
    Around which axes should the object spin?

--spin X
    Rotate around X axis.

--spin Y
    Rotate around Y axis. Default.

--spin Z
    Rotate around Z axis.

--spin XY
    Rotate around X and Y axes.

--spin XZ
    Rotate around X and Z axes.

--spin YZ
    Rotate around Y and Z axes.

--spin XYZ
    Rotate around all three axes.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2023 by Jamie Zawinski and Jared Williams. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Code by Jamie Zawinski; model by Jared Williams.